## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Version:        3.5.3
%global forgeurl https://github.com/complexlogic/rsgain/
%forgemeta

Name:           rsgain
Release:        %autorelease
Summary:        Simple but powerful ReplayGain 2.0 tagging utility
URL:            %{forgeurl}
Source0:        %{forgesource}

# rsgain: BSD-2-Clause
# CRCpp: BSD-3-Clause
License:        BSD-2-Clause AND BSD-3-Clause

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  inih-devel
BuildRequires:  libavcodec-free-devel
BuildRequires:  libavformat-free-devel
BuildRequires:  libavutil-free-devel
BuildRequires:  libebur128-devel
BuildRequires:  libswresample-free-devel
BuildRequires:  taglib-devel

Provides:       bundled(CRCpp) = 1.2.0.0^20220528git71f2152

%description
rsgain (really simple gain) is a ReplayGain 2.0 command line utility.
It applies loudness metadata tags to your files, while leaving the audio
stream untouched. A ReplayGain-compatible player will dynamically adjust
the volume of your tagged files during playback.


%prep
%forgeautosetup


%build
%cmake -DUSE_STD_FORMAT=ON -DINSTALL_MANPAGE=ON
%cmake_build


%install
%cmake_install


%check
%ctest
%{buildroot}/%{_bindir}/%{name} custom |& grep -F 'No files were specified'


%files
%license LICENSE
%license LICENSE-CRCpp
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1*


%changelog
## START: Generated by rpmautospec
* Sun Nov 17 2024 Peter Oliver <git@mavit.org.uk> - 3.5.3-1
- Update to version 3.5.3.

* Mon Sep 23 2024 Fabio Valentini <decathorpe@gmail.com> - 3.5.2-2
- Rebuild for ffmpeg 7

* Thu Aug 08 2024 Peter Oliver <git@mavit.org.uk> - 3.5.2-1
- Update to version 3.5.2.

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Peter Oliver <git@mavit.org.uk> - 3.5.1-1
- Update to version 3.5.1.

* Mon Mar 18 2024 Peter Oliver <git@mavit.org.uk> - 3.5-8
- Include manpage.

* Sat Mar 09 2024 Peter Oliver <git@mavit.org.uk> - 3.5-7
- Upload sources.

* Sat Mar 09 2024 Peter Oliver <git@mavit.org.uk> - 3.5-6
- RPMAUTOSPEC: unresolvable merge
## END: Generated by rpmautospec
